Evolution CMS Parse Error после установки bLang

Добрый день!
После установки bLang при сохранении страницы получаю ошибку « Evolution CMS Parse Error »
SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'in ('')' at line 1

Полностью вывод ошибки можно посмотреть здесь

Установка раскатана на локальном сервере. Настройки сервера прилагаю.настройки open server

Сама CMS свежеустановленная версия 3.1.5 из дополнений стоит только DocLister(2.5.2) и bLang(1.0.1b).

Что мне сделать, куда рыть?

PS Я только начинаю знакомиться с Evolution CMS и мало что здесь знаю.

11 комментариев

avatar
Как начинающему я рекомендую поставить последний релиз из первой ветки 1.4.14 вроде бы.
Вы реально упростите себе жизнь. и bLang станет :)
avatar
На 3.1.5 он тоже становится. И даже работает. Только при каждом сохранении документа он выдает ошибку. Хотелось бы понять почему. Странно что при установке на чистую cms всего 2-х дополнений из коробки дают ошибку. 1.4.14 поставить, конечно, можно но, как я понимаю, там много чего нет, что есть в последних версиях cms.
avatar
Попробуйте. И напишите как получилось.
Разница в том, что ветка 3 заточена больше на программистов, а первая ветка на разработчиков (без особого знания программирования). Вторая не пошла, мы можем о ней забыть.

avatar
Стало только хуже =)
Fatal error: Cannot declare class Helpers\Lexicon\AbstractLexiconHandler, because the name is already in use in D:\OpenServer\domains\lang2.loc\assets\snippets\FormLister\lib\LexiconHandlers\AbstractLexiconHandler.php on line 10
avatar
Дело еще и в том, что на 3.1.5 я уже почти всю верстку посадил. Осталась только мультиязычность. А на первую версию прийдется все переделывать. Чистую cms я поставил только для того, чтобы проверить работу этих двух дополнений на чистой установке.
avatar
Там разницы в верстке по базовым моментам нет.
Проверьте версию PHP
avatar
php 7.4, я ничего не менял.
Почему разницы нет, как я понял в версии 1 нельзя делать файловые шаблоны, а именно на файловых шаблонах, на блэйде у меня все и построено в 3 версии.
avatar
В этом случае да.
Вы же написали, что вы начинающий, я подумал, что на стандартных плейсхолдерах evo шаблон построен.

Напишите в телеграм чате разработчиков. Там быстрее ответять.

t.me/evolutioncms
avatar
Решение подсказали в группе в телеграмме.

Зайди в плагин blang — вкладка события, и сними галку ondocformsave и сохрани
Может кому пригодится.
Всем спасибо, кто откликнулся.
Комментарий отредактирован 2021-06-13 16:32:04 пользователем pochemuchka
avatar
Бинго!
Где мой лайк?
Шучу. Удачи в работе!
avatar
Спасибо.
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.